Skip to main content
GET
/
api
/
v2
/
network
/
offers
/
{offer_id}
/
goals
List goals
curl --request GET \
  --url 'https://{domain}/api/v2/network/offers/{offer_id}/goals?api-key='
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "goals": [
      {
        "id": 123,
        "title": "<string>",
        "status": 123,
        "is_default": 123,
        "type": {
          "id": 123,
          "title": "<string>"
        },
        "conversion_status": 123,
        "is_private": 123,
        "multiple_conversions": 123,
        "caps": [
          {}
        ],
        "currency": "<string>",
        "alias": "<string>",
        "postback_token": "<string>",
        "payout": "<string>",
        "revenue": "<string>",
        "payoutByCountry": [
          {}
        ],
        "payoutByTier": [
          {}
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Path Parameters

offer_id
integer
required

Offer ID.

Query Parameters

page
integer

Page number.

perPage
integer

Items per page.

Response

Goals list.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object